EddytorDocs & API
Tables

Move a table to a different storage configuration

Moves all Delta table files (parquet data + `_delta_log/`) from the current storage location to the specified destination. The table is deregistered from the source and re-discovered at the destination. **Required scope:** `storage:write`

POST
/v1/tables/{catalog}/{schema}/{table_name}/move

Authorization

BearerAuth
AuthorizationBearer <token>

Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.

In: header

Path Parameters

catalog*string
schema*string
table_name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for moving a Delta table to a different storage configuration.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/tables/string/string/string/move" \  -H "Content-Type: application/json" \  -d '{    "destinationConfigId": "a67c7e7e-0ef0-4b5b-a8a0-f360eee5fc91",    "destinationPath": "string"  }'
{  "objectsMoved": 0,  "bytesTransferred": 0,  "message": "string"}
Empty
Empty
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}